!!ARBfp1.0

ATTRIB iColor = fragment.color.primary;
ATTRIB iCoord = fragment.texcoord;

PARAM bwdesc = program.local[0]; # x: border;

OUTPUT oColor = result.color;

#---------#
# Program #
#---------#

# mix texture & primary color
TEMP samp;
TXP samp, iCoord, texture, 2D;
TEMP out;
MUL out, samp, iColor;

# convert to gray scale
TEMP src;
MOV src, out;
MUL samp.r, out.r, 0.30;
MUL samp.g, out.g, 0.59;
MUL samp.b, out.b, 0.11;
MOV out, 0.0;
ADD out, out, samp.r;
ADD out, out, samp.g;
ADD out, out, samp.b;

# convert to black & white
TEMP border;
MOV border, bwdesc.x;
ADD out, out, -border;
CMP out, out, 0.0, 1.0;
MOV out.a, src.a;

# set output
MOV oColor, out;

END