!!ARBfp1.0

ATTRIB iColor = fragment.color.primary;
ATTRIB iCoord = fragment.texcoord;

OUTPUT oColor = result.color;

#---------#
# Program #
#---------#

# mix texture & primary color
TEMP samp;
TXP samp, iCoord, texture, 2D;
TEMP out;
MUL out, samp, iColor;

# color inversion
TEMP src;
MOV src, out;
MOV out, 1.0;
ADD out, out, -src;
MOV out.a, src.a;

# set output
MOV oColor, out;

END